$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.66-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.66-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C00306B99C11F5C923FA6F78288DC74B53D48C67F1ADFAAC3270886B6CC30820'
  checksumType = 'sha256'
  checksum64 = 'C00306B99C11F5C923FA6F78288DC74B53D48C67F1ADFAAC3270886B6CC30820'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.66-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
